<html>
<head>
<title>OgreThreadDefinesNone.h File Reference - OGRE Documentation</title> <meta http-equiv="Content-Type" content="text/html; charset=iso-8859-1"> 
<link type="text/css" rel="stylesheet" href="doxygen.css">
<link type="text/css" rel="stylesheet" href="tabs.css">
</head>

<body>
<!-- Generated by Doxygen 1.7.6.1 -->
  <div id="navrow1" class="tabs">
    <ul class="tablist">
      <li><a href="index.html"><span>Main&#160;Page</span></a></li>
      <li><a href="pages.html"><span>Related&#160;Pages</span></a></li>
      <li><a href="modules.html"><span>Modules</span></a></li>
      <li><a href="namespaces.html"><span>Namespaces</span></a></li>
      <li><a href="annotated.html"><span>Classes</span></a></li>
      <li class="current"><a href="files.html"><span>Files</span></a></li>
      <li><a href="dirs.html"><span>Directories</span></a></li>
    </ul>
  </div>
  <div id="navrow2" class="tabs2">
    <ul class="tablist">
      <li><a href="files.html"><span>File&#160;List</span></a></li>
      <li><a href="globals.html"><span>File&#160;Members</span></a></li>
    </ul>
  </div>
  <div id="nav-path" class="navpath">
    <ul>
      <li class="navelem"><a class="el" href="dir_aff4b7fb8d70b825eb8a2d7b3cbd2684.html">OgreMain</a>      </li>
      <li class="navelem"><a class="el" href="dir_5049b8c488e02232e72cb8867fab4a28.html">include</a>      </li>
      <li class="navelem"><a class="el" href="dir_2eb764d9bdb39175641ca6b4fa1c3066.html">Threading</a>      </li>
    </ul>
  </div>
</div>
<div class="header">
  <div class="summary">
<a href="#define-members">Defines</a>  </div>
  <div class="headertitle">
<div class="title">OgreThreadDefinesNone.h File Reference</div>  </div>
</div><!--header-->
<div class="contents">

<p><a href="OgreThreadDefinesNone_8h_source.html">Go to the source code of this file.</a></p>
<table class="memberdecls">
<tr><td colspan="2"><h2><a name="define-members"></a>
Defines</h2></td></tr>
<tr><td class="memItemLeft" align="right" valign="top">#define&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="OgrePrerequisites_8h.html#a18a523fad1f9e10324e1742865f562b7">OGRE_AUTO_MUTEX</a></td></tr>
<tr><td class="memItemLeft" align="right" valign="top">#define&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="OgrePrerequisites_8h.html#ace4a3180018d84c5295b17251233abfb">OGRE_LOCK_AUTO_MUTEX</a></td></tr>
<tr><td class="memItemLeft" align="right" valign="top">#define&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="OgrePrerequisites_8h.html#a2fb96ea8ad9700f804480d1d7f5d692d">OGRE_MUTEX</a>(name)</td></tr>
<tr><td class="memItemLeft" align="right" valign="top">#define&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="OgrePrerequisites_8h.html#ac853de57688aefaec88f75cd9e0ac388">OGRE_STATIC_MUTEX</a>(name)</td></tr>
<tr><td class="memItemLeft" align="right" valign="top">#define&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="OgrePrerequisites_8h.html#a042f108091bba675307acb915a71bfa9">OGRE_STATIC_MUTEX_INSTANCE</a>(name)</td></tr>
<tr><td class="memItemLeft" align="right" valign="top">#define&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="OgrePrerequisites_8h.html#a8a4683cdaf73994ea7ec391c1ba82b60">OGRE_LOCK_MUTEX</a>(name)</td></tr>
<tr><td class="memItemLeft" align="right" valign="top">#define&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="OgrePrerequisites_8h.html#a39e611f7baf80408d740fce6a2502414">OGRE_LOCK_MUTEX_NAMED</a>(mutexName, lockName)</td></tr>
<tr><td class="memItemLeft" align="right" valign="top">#define&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="OgrePrerequisites_8h.html#ab0e8c6d123555d7447c38185a1b9105e">OGRE_AUTO_SHARED_MUTEX</a></td></tr>
<tr><td class="memItemLeft" align="right" valign="top">#define&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="OgrePrerequisites_8h.html#a062b6df8793a5440c06a9056ff1c8fe9">OGRE_LOCK_AUTO_SHARED_MUTEX</a></td></tr>
<tr><td class="memItemLeft" align="right" valign="top">#define&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="OgrePrerequisites_8h.html#a9ea1b6f845efd15c581b914ac84b93a3">OGRE_NEW_AUTO_SHARED_MUTEX</a></td></tr>
<tr><td class="memItemLeft" align="right" valign="top">#define&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="OgrePrerequisites_8h.html#a8b873e0e48fc343f9553e1dc526ff6f3">OGRE_DELETE_AUTO_SHARED_MUTEX</a></td></tr>
<tr><td class="memItemLeft" align="right" valign="top">#define&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="OgrePrerequisites_8h.html#acf02af48b9d015cd2f0c10e22466c73a">OGRE_COPY_AUTO_SHARED_MUTEX</a>(from)</td></tr>
<tr><td class="memItemLeft" align="right" valign="top">#define&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="OgrePrerequisites_8h.html#a053475f75a35e320fa019cf083ba8918">OGRE_SET_AUTO_SHARED_MUTEX_NULL</a></td></tr>
<tr><td class="memItemLeft" align="right" valign="top">#define&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="OgrePrerequisites_8h.html#a2201eef4cf31a94b24d79de6de3445af">OGRE_MUTEX_CONDITIONAL</a>(name)&#160;&#160;&#160;if(true)</td></tr>
<tr><td class="memItemLeft" align="right" valign="top">#define&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="OgrePrerequisites_8h.html#afd886be58b0d9b415076b07abfcc50fc">OGRE_RW_MUTEX</a>(name)</td></tr>
<tr><td class="memItemLeft" align="right" valign="top">#define&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="OgrePrerequisites_8h.html#a94e5c080fee840c4ee87132157cc3eda">OGRE_LOCK_RW_MUTEX_READ</a>(name)</td></tr>
<tr><td class="memItemLeft" align="right" valign="top">#define&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="OgrePrerequisites_8h.html#a0a38f532fc987f34e7ffa1d18b770fc9">OGRE_LOCK_RW_MUTEX_WRITE</a>(name)</td></tr>
<tr><td class="memItemLeft" align="right" valign="top">#define&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="OgrePrerequisites_8h.html#a792b8674a3579bf049e399dbfecf9f8b">OGRE_THREAD_SYNCHRONISER</a>(sync)</td></tr>
<tr><td class="memItemLeft" align="right" valign="top">#define&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="OgrePrerequisites_8h.html#ad5c607c0bb02c1a7c9f124768eade0bf">OGRE_THREAD_WAIT</a>(sync, lock)</td></tr>
<tr><td class="memItemLeft" align="right" valign="top">#define&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="OgrePrerequisites_8h.html#af95a22a8a787bbf4956772d36a0ccab5">OGRE_THREAD_NOTIFY_ONE</a>(sync)</td></tr>
<tr><td class="memItemLeft" align="right" valign="top">#define&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="OgrePrerequisites_8h.html#a15a4eee729a2c973782b3d65262b6c33">OGRE_THREAD_NOTIFY_ALL</a>(sync)</td></tr>
<tr><td class="memItemLeft" align="right" valign="top">#define&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="OgrePrerequisites_8h.html#a7bbad1426a73ac69e63279b16e0f8ac4">OGRE_THREAD_POINTER</a>(T, var)&#160;&#160;&#160;T* var</td></tr>
<tr><td class="memItemLeft" align="right" valign="top">#define&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="OgrePrerequisites_8h.html#a7240ca4fa090f8e947dfa29be6580870">OGRE_THREAD_POINTER_INIT</a>(var)&#160;&#160;&#160;var(0)</td></tr>
<tr><td class="memItemLeft" align="right" valign="top">#define&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="OgrePrerequisites_8h.html#aa0e31221f53cca1da4a1eaf196122a59">OGRE_THREAD_POINTER_VAR</a>(T, var)&#160;&#160;&#160;T* var = 0</td></tr>
<tr><td class="memItemLeft" align="right" valign="top">#define&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="OgrePrerequisites_8h.html#ab2cf92160e83b716119c42240aad670f">OGRE_THREAD_POINTER_SET</a>(var, expr)&#160;&#160;&#160;var = expr</td></tr>
<tr><td class="memItemLeft" align="right" valign="top">#define&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="OgrePrerequisites_8h.html#a5a4c5f6a9667046f955529291276f3dd">OGRE_THREAD_POINTER_GET</a>(var)&#160;&#160;&#160;var</td></tr>
<tr><td class="memItemLeft" align="right" valign="top">#define&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="OgrePrerequisites_8h.html#a9501d2980e624057c7701c0b3b539c3c">OGRE_THREAD_POINTER_DELETE</a>(var)&#160;&#160;&#160;{ <a class="el" href="group__Memory.html#gad18eff671a00617b21c8e35a7f545690">OGRE_DELETE</a> var; var = 0; }</td></tr>
<tr><td class="memItemLeft" align="right" valign="top">#define&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="OgrePrerequisites_8h.html#acb589a5397e0187e83e7337eb59e9881">OGRE_THREAD_SLEEP</a>(ms)</td></tr>
<tr><td class="memItemLeft" align="right" valign="top">#define&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="OgrePrerequisites_8h.html#aa930d7a43e02d7c703548852a55036e1">OGRE_THREAD_WORKER_INHERIT</a></td></tr>
<tr><td class="memItemLeft" align="right" valign="top">#define&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="OgreThreadDefinesNone_8h.html#a18a523fad1f9e10324e1742865f562b7">OGRE_AUTO_MUTEX</a></td></tr>
<tr><td class="memItemLeft" align="right" valign="top">#define&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="OgreThreadDefinesNone_8h.html#ace4a3180018d84c5295b17251233abfb">OGRE_LOCK_AUTO_MUTEX</a></td></tr>
<tr><td class="memItemLeft" align="right" valign="top">#define&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="OgreThreadDefinesNone_8h.html#a2fb96ea8ad9700f804480d1d7f5d692d">OGRE_MUTEX</a>(name)</td></tr>
<tr><td class="memItemLeft" align="right" valign="top">#define&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="OgreThreadDefinesNone_8h.html#ac853de57688aefaec88f75cd9e0ac388">OGRE_STATIC_MUTEX</a>(name)</td></tr>
<tr><td class="memItemLeft" align="right" valign="top">#define&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="OgreThreadDefinesNone_8h.html#a042f108091bba675307acb915a71bfa9">OGRE_STATIC_MUTEX_INSTANCE</a>(name)</td></tr>
<tr><td class="memItemLeft" align="right" valign="top">#define&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="OgreThreadDefinesNone_8h.html#a8a4683cdaf73994ea7ec391c1ba82b60">OGRE_LOCK_MUTEX</a>(name)</td></tr>
<tr><td class="memItemLeft" align="right" valign="top">#define&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="OgreThreadDefinesNone_8h.html#a39e611f7baf80408d740fce6a2502414">OGRE_LOCK_MUTEX_NAMED</a>(mutexName, lockName)</td></tr>
<tr><td class="memItemLeft" align="right" valign="top">#define&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="OgreThreadDefinesNone_8h.html#ab0e8c6d123555d7447c38185a1b9105e">OGRE_AUTO_SHARED_MUTEX</a></td></tr>
<tr><td class="memItemLeft" align="right" valign="top">#define&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="OgreThreadDefinesNone_8h.html#a062b6df8793a5440c06a9056ff1c8fe9">OGRE_LOCK_AUTO_SHARED_MUTEX</a></td></tr>
<tr><td class="memItemLeft" align="right" valign="top">#define&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="OgreThreadDefinesNone_8h.html#a9ea1b6f845efd15c581b914ac84b93a3">OGRE_NEW_AUTO_SHARED_MUTEX</a></td></tr>
<tr><td class="memItemLeft" align="right" valign="top">#define&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="OgreThreadDefinesNone_8h.html#a8b873e0e48fc343f9553e1dc526ff6f3">OGRE_DELETE_AUTO_SHARED_MUTEX</a></td></tr>
<tr><td class="memItemLeft" align="right" valign="top">#define&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="OgreThreadDefinesNone_8h.html#acf02af48b9d015cd2f0c10e22466c73a">OGRE_COPY_AUTO_SHARED_MUTEX</a>(from)</td></tr>
<tr><td class="memItemLeft" align="right" valign="top">#define&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="OgreThreadDefinesNone_8h.html#a053475f75a35e320fa019cf083ba8918">OGRE_SET_AUTO_SHARED_MUTEX_NULL</a></td></tr>
<tr><td class="memItemLeft" align="right" valign="top">#define&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="OgreThreadDefinesNone_8h.html#a2201eef4cf31a94b24d79de6de3445af">OGRE_MUTEX_CONDITIONAL</a>(name)&#160;&#160;&#160;if(true)</td></tr>
<tr><td class="memItemLeft" align="right" valign="top">#define&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="OgreThreadDefinesNone_8h.html#afd886be58b0d9b415076b07abfcc50fc">OGRE_RW_MUTEX</a>(name)</td></tr>
<tr><td class="memItemLeft" align="right" valign="top">#define&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="OgreThreadDefinesNone_8h.html#a94e5c080fee840c4ee87132157cc3eda">OGRE_LOCK_RW_MUTEX_READ</a>(name)</td></tr>
<tr><td class="memItemLeft" align="right" valign="top">#define&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="OgreThreadDefinesNone_8h.html#a0a38f532fc987f34e7ffa1d18b770fc9">OGRE_LOCK_RW_MUTEX_WRITE</a>(name)</td></tr>
<tr><td class="memItemLeft" align="right" valign="top">#define&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="OgreThreadDefinesNone_8h.html#a792b8674a3579bf049e399dbfecf9f8b">OGRE_THREAD_SYNCHRONISER</a>(sync)</td></tr>
<tr><td class="memItemLeft" align="right" valign="top">#define&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="OgreThreadDefinesNone_8h.html#ad5c607c0bb02c1a7c9f124768eade0bf">OGRE_THREAD_WAIT</a>(sync, lock)</td></tr>
<tr><td class="memItemLeft" align="right" valign="top">#define&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="OgreThreadDefinesNone_8h.html#af95a22a8a787bbf4956772d36a0ccab5">OGRE_THREAD_NOTIFY_ONE</a>(sync)</td></tr>
<tr><td class="memItemLeft" align="right" valign="top">#define&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="OgreThreadDefinesNone_8h.html#a15a4eee729a2c973782b3d65262b6c33">OGRE_THREAD_NOTIFY_ALL</a>(sync)</td></tr>
<tr><td class="memItemLeft" align="right" valign="top">#define&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="OgreThreadDefinesNone_8h.html#a7bbad1426a73ac69e63279b16e0f8ac4">OGRE_THREAD_POINTER</a>(T, var)&#160;&#160;&#160;T* var</td></tr>
<tr><td class="memItemLeft" align="right" valign="top">#define&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="OgreThreadDefinesNone_8h.html#a7240ca4fa090f8e947dfa29be6580870">OGRE_THREAD_POINTER_INIT</a>(var)&#160;&#160;&#160;var(0)</td></tr>
<tr><td class="memItemLeft" align="right" valign="top">#define&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="OgreThreadDefinesNone_8h.html#aa0e31221f53cca1da4a1eaf196122a59">OGRE_THREAD_POINTER_VAR</a>(T, var)&#160;&#160;&#160;T* var = 0</td></tr>
<tr><td class="memItemLeft" align="right" valign="top">#define&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="OgreThreadDefinesNone_8h.html#ab2cf92160e83b716119c42240aad670f">OGRE_THREAD_POINTER_SET</a>(var, expr)&#160;&#160;&#160;var = expr</td></tr>
<tr><td class="memItemLeft" align="right" valign="top">#define&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="OgreThreadDefinesNone_8h.html#a5a4c5f6a9667046f955529291276f3dd">OGRE_THREAD_POINTER_GET</a>(var)&#160;&#160;&#160;var</td></tr>
<tr><td class="memItemLeft" align="right" valign="top">#define&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="OgreThreadDefinesNone_8h.html#a9501d2980e624057c7701c0b3b539c3c">OGRE_THREAD_POINTER_DELETE</a>(var)&#160;&#160;&#160;{ <a class="el" href="group__Memory.html#gad18eff671a00617b21c8e35a7f545690">OGRE_DELETE</a> var; var = 0; }</td></tr>
<tr><td class="memItemLeft" align="right" valign="top">#define&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="OgreThreadDefinesNone_8h.html#acb589a5397e0187e83e7337eb59e9881">OGRE_THREAD_SLEEP</a>(ms)</td></tr>
<tr><td class="memItemLeft" align="right" valign="top">#define&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="OgreThreadDefinesNone_8h.html#aa930d7a43e02d7c703548852a55036e1">OGRE_THREAD_WORKER_INHERIT</a></td></tr>
</table>
<hr/><h2>Define Documentation</h2>
<a class="anchor" id="a18a523fad1f9e10324e1742865f562b7"></a><!-- doxytag: member="OgreThreadDefinesNone.h::OGRE_AUTO_MUTEX" ref="a18a523fad1f9e10324e1742865f562b7" args="" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">#define <a class="el" href="OgreThreadDefinesTBB_8h.html#a18a523fad1f9e10324e1742865f562b7">OGRE_AUTO_MUTEX</a></td>
        </tr>
      </table>
</div>
<div class="memdoc">

</div>
</div>
<a class="anchor" id="a18a523fad1f9e10324e1742865f562b7"></a><!-- doxytag: member="OgreThreadDefinesNone.h::OGRE_AUTO_MUTEX" ref="a18a523fad1f9e10324e1742865f562b7" args="" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">#define <a class="el" href="OgreThreadDefinesTBB_8h.html#a18a523fad1f9e10324e1742865f562b7">OGRE_AUTO_MUTEX</a></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>Definition at line <a class="el" href="OgreThreadDefinesNone_8h_source.html#l00029">29</a> of file <a class="el" href="OgreThreadDefinesNone_8h_source.html">OgreThreadDefinesNone.h</a>.</p>

</div>
</div>
<a class="anchor" id="ab0e8c6d123555d7447c38185a1b9105e"></a><!-- doxytag: member="OgreThreadDefinesNone.h::OGRE_AUTO_SHARED_MUTEX" ref="ab0e8c6d123555d7447c38185a1b9105e" args="" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">#define <a class="el" href="OgreThreadDefinesTBB_8h.html#ab0e8c6d123555d7447c38185a1b9105e">OGRE_AUTO_SHARED_MUTEX</a></td>
        </tr>
      </table>
</div>
<div class="memdoc">

</div>
</div>
<a class="anchor" id="ab0e8c6d123555d7447c38185a1b9105e"></a><!-- doxytag: member="OgreThreadDefinesNone.h::OGRE_AUTO_SHARED_MUTEX" ref="ab0e8c6d123555d7447c38185a1b9105e" args="" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">#define <a class="el" href="OgreThreadDefinesTBB_8h.html#ab0e8c6d123555d7447c38185a1b9105e">OGRE_AUTO_SHARED_MUTEX</a></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>Definition at line <a class="el" href="OgreThreadDefinesNone_8h_source.html#l00036">36</a> of file <a class="el" href="OgreThreadDefinesNone_8h_source.html">OgreThreadDefinesNone.h</a>.</p>

</div>
</div>
<a class="anchor" id="acf02af48b9d015cd2f0c10e22466c73a"></a><!-- doxytag: member="OgreThreadDefinesNone.h::OGRE_COPY_AUTO_SHARED_MUTEX" ref="acf02af48b9d015cd2f0c10e22466c73a" args="(from)" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">#define <a class="el" href="OgreThreadDefinesTBB_8h.html#acf02af48b9d015cd2f0c10e22466c73a">OGRE_COPY_AUTO_SHARED_MUTEX</a></td>
          <td>(</td>
          <td class="paramtype">&#160;</td>
          <td class="paramname">from</td><td>)</td>
          <td></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>Definition at line <a class="el" href="OgreThreadDefinesNone_8h_source.html#l00040">40</a> of file <a class="el" href="OgreThreadDefinesNone_8h_source.html">OgreThreadDefinesNone.h</a>.</p>

</div>
</div>
<a class="anchor" id="acf02af48b9d015cd2f0c10e22466c73a"></a><!-- doxytag: member="OgreThreadDefinesNone.h::OGRE_COPY_AUTO_SHARED_MUTEX" ref="acf02af48b9d015cd2f0c10e22466c73a" args="(from)" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">#define <a class="el" href="OgreThreadDefinesTBB_8h.html#acf02af48b9d015cd2f0c10e22466c73a">OGRE_COPY_AUTO_SHARED_MUTEX</a></td>
          <td>(</td>
          <td class="paramtype">&#160;</td>
          <td class="paramname">from</td><td>)</td>
          <td></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>Referenced by <a class="el" href="OgreCompositor_8h_source.html#l00188">Ogre::CompositorPtr::CompositorPtr()</a>, <a class="el" href="OgreD3D11GpuProgram_8h_source.html#l00102">Ogre::D3D11GpuProgramPtr::D3D11GpuProgramPtr()</a>, <a class="el" href="OgreD3D11Texture_8h_source.html#l00187">Ogre::D3D11TexturePtr::D3D11TexturePtr()</a>, <a class="el" href="OgreD3D9GpuProgram_8h_source.html#l00179">Ogre::D3D9GpuProgramPtr::D3D9GpuProgramPtr()</a>, <a class="el" href="OgreD3D9Texture_8h_source.html#l00233">Ogre::D3D9TexturePtr::D3D9TexturePtr()</a>, <a class="el" href="OgreFont_8h_source.html#l00431">Ogre::FontPtr::FontPtr()</a>, <a class="el" href="OgreGLES2Texture_8h_source.html#l00114">Ogre::GLES2TexturePtr::GLES2TexturePtr()</a>, <a class="el" href="OgreGLESTexture_8h_source.html#l00114">Ogre::GLESTexturePtr::GLESTexturePtr()</a>, <a class="el" href="OgreGLTexture_8h_source.html#l00116">Ogre::GLTexturePtr::GLTexturePtr()</a>, <a class="el" href="OgreGpuProgram_8h_source.html#l00438">Ogre::GpuProgramPtr::GpuProgramPtr()</a>, <a class="el" href="OgreHighLevelGpuProgram_8h_source.html#l00145">Ogre::HighLevelGpuProgramPtr::HighLevelGpuProgramPtr()</a>, <a class="el" href="OgreMaterial_8h_source.html#l00693">Ogre::MaterialPtr::MaterialPtr()</a>, <a class="el" href="OgrePatchMesh_8h_source.html#l00112">Ogre::PatchMeshPtr::operator=()</a>, <a class="el" href="OgreD3D11GpuProgram_8h_source.html#l00116">Ogre::D3D11GpuProgramPtr::operator=()</a>, <a class="el" href="OgreGLESTexture_8h_source.html#l00136">Ogre::GLESTexturePtr::operator=()</a>, <a class="el" href="OgreGLES2Texture_8h_source.html#l00136">Ogre::GLES2TexturePtr::operator=()</a>, <a class="el" href="OgreGLTexture_8h_source.html#l00137">Ogre::GLTexturePtr::operator=()</a>, <a class="el" href="OgreHighLevelGpuProgram_8h_source.html#l00162">Ogre::HighLevelGpuProgramPtr::operator=()</a>, <a class="el" href="OgreD3D9GpuProgram_8h_source.html#l00193">Ogre::D3D9GpuProgramPtr::operator=()</a>, <a class="el" href="OgreD3D11Texture_8h_source.html#l00204">Ogre::D3D11TexturePtr::operator=()</a>, <a class="el" href="OgreCompositor_8h_source.html#l00205">Ogre::CompositorPtr::operator=()</a>, <a class="el" href="OgreD3D9Texture_8h_source.html#l00254">Ogre::D3D9TexturePtr::operator=()</a>, <a class="el" href="OgreFont_8h_source.html#l00448">Ogre::FontPtr::operator=()</a>, <a class="el" href="OgreGpuProgram_8h_source.html#l00455">Ogre::GpuProgramPtr::operator=()</a>, <a class="el" href="OgreTexture_8h_source.html#l00465">Ogre::TexturePtr::operator=()</a>, <a class="el" href="OgreSkeleton_8h_source.html#l00493">Ogre::SkeletonPtr::operator=()</a>, <a class="el" href="OgreMaterial_8h_source.html#l00710">Ogre::MaterialPtr::operator=()</a>, <a class="el" href="OgrePatchMesh_8h_source.html#l00095">Ogre::PatchMeshPtr::PatchMeshPtr()</a>, <a class="el" href="OgreSharedPtr_8h_source.html#l00093">Ogre::SharedPtr&lt; D3D11GpuProgram &gt;::SharedPtr()</a>, <a class="el" href="OgreSkeleton_8h_source.html#l00476">Ogre::SkeletonPtr::SkeletonPtr()</a>, and <a class="el" href="OgreTexture_8h_source.html#l00448">Ogre::TexturePtr::TexturePtr()</a>.</p>

</div>
</div>
<a class="anchor" id="a8b873e0e48fc343f9553e1dc526ff6f3"></a><!-- doxytag: member="OgreThreadDefinesNone.h::OGRE_DELETE_AUTO_SHARED_MUTEX" ref="a8b873e0e48fc343f9553e1dc526ff6f3" args="" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">#define <a class="el" href="OgreThreadDefinesTBB_8h.html#a8b873e0e48fc343f9553e1dc526ff6f3">OGRE_DELETE_AUTO_SHARED_MUTEX</a></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>Referenced by <a class="el" href="OgreSharedPtr_8h_source.html#l00223">Ogre::SharedPtr&lt; D3D11GpuProgram &gt;::destroy()</a>.</p>

</div>
</div>
<a class="anchor" id="a8b873e0e48fc343f9553e1dc526ff6f3"></a><!-- doxytag: member="OgreThreadDefinesNone.h::OGRE_DELETE_AUTO_SHARED_MUTEX" ref="a8b873e0e48fc343f9553e1dc526ff6f3" args="" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">#define <a class="el" href="OgreThreadDefinesTBB_8h.html#a8b873e0e48fc343f9553e1dc526ff6f3">OGRE_DELETE_AUTO_SHARED_MUTEX</a></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>Definition at line <a class="el" href="OgreThreadDefinesNone_8h_source.html#l00039">39</a> of file <a class="el" href="OgreThreadDefinesNone_8h_source.html">OgreThreadDefinesNone.h</a>.</p>

</div>
</div>
<a class="anchor" id="ace4a3180018d84c5295b17251233abfb"></a><!-- doxytag: member="OgreThreadDefinesNone.h::OGRE_LOCK_AUTO_MUTEX" ref="ace4a3180018d84c5295b17251233abfb" args="" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">#define <a class="el" href="OgreThreadDefinesTBB_8h.html#ace4a3180018d84c5295b17251233abfb">OGRE_LOCK_AUTO_MUTEX</a></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>Referenced by <a class="el" href="OgreCommon_8h_source.html#l00851">Ogre::Pool&lt; ResourcePtr &gt;::addItem()</a>, <a class="el" href="OgreAtomicWrappers_8h_source.html#l00075">Ogre::AtomicObject&lt; T &gt;::cas()</a>, <a class="el" href="OgreAtomicWrappers_8h_source.html#l00386">Ogre::AtomicScalar&lt; size_t &gt;::cas()</a>, <a class="el" href="OgreCommon_8h_source.html#l00857">Ogre::Pool&lt; ResourcePtr &gt;::clear()</a>, <a class="el" href="OgreCommon_8h_source.html#l00781">Ogre::NameGenerator::generate()</a>, <a class="el" href="OgreAtomicWrappers_8h_source.html#l00063">Ogre::AtomicObject&lt; T &gt;::get()</a>, <a class="el" href="OgreCommon_8h_source.html#l00804">Ogre::NameGenerator::getNext()</a>, <a class="el" href="OgreAtomicWrappers_8h_source.html#l00083">Ogre::AtomicObject&lt; T &gt;::operator++()</a>, <a class="el" href="OgreAtomicWrappers_8h_source.html#l00394">Ogre::AtomicScalar&lt; size_t &gt;::operator++()</a>, <a class="el" href="OgreAtomicWrappers_8h_source.html#l00101">Ogre::AtomicObject&lt; T &gt;::operator+=()</a>, <a class="el" href="OgreAtomicWrappers_8h_source.html#l00418">Ogre::AtomicScalar&lt; size_t &gt;::operator+=()</a>, <a class="el" href="OgreAtomicWrappers_8h_source.html#l00095">Ogre::AtomicObject&lt; T &gt;::operator--()</a>, <a class="el" href="OgreAtomicWrappers_8h_source.html#l00400">Ogre::AtomicScalar&lt; size_t &gt;::operator--()</a>, <a class="el" href="OgreAtomicWrappers_8h_source.html#l00366">Ogre::AtomicScalar&lt; size_t &gt;::operator=()</a>, <a class="el" href="OgreCommon_8h_source.html#l00832">Ogre::Pool&lt; ResourcePtr &gt;::removeItem()</a>, <a class="el" href="OgreCommon_8h_source.html#l00790">Ogre::NameGenerator::reset()</a>, <a class="el" href="OgreAtomicWrappers_8h_source.html#l00069">Ogre::AtomicObject&lt; T &gt;::set()</a>, <a class="el" href="OgreAtomicWrappers_8h_source.html#l00380">Ogre::AtomicScalar&lt; size_t &gt;::set()</a>, and <a class="el" href="OgreCommon_8h_source.html#l00797">Ogre::NameGenerator::setNext()</a>.</p>

</div>
</div>
<a class="anchor" id="ace4a3180018d84c5295b17251233abfb"></a><!-- doxytag: member="OgreThreadDefinesNone.h::OGRE_LOCK_AUTO_MUTEX" ref="ace4a3180018d84c5295b17251233abfb" args="" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">#define <a class="el" href="OgreThreadDefinesTBB_8h.html#ace4a3180018d84c5295b17251233abfb">OGRE_LOCK_AUTO_MUTEX</a></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>Definition at line <a class="el" href="OgreThreadDefinesNone_8h_source.html#l00030">30</a> of file <a class="el" href="OgreThreadDefinesNone_8h_source.html">OgreThreadDefinesNone.h</a>.</p>

</div>
</div>
<a class="anchor" id="a062b6df8793a5440c06a9056ff1c8fe9"></a><!-- doxytag: member="OgreThreadDefinesNone.h::OGRE_LOCK_AUTO_SHARED_MUTEX" ref="a062b6df8793a5440c06a9056ff1c8fe9" args="" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">#define <a class="el" href="OgreThreadDefinesTBB_8h.html#a062b6df8793a5440c06a9056ff1c8fe9">OGRE_LOCK_AUTO_SHARED_MUTEX</a></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>Referenced by <a class="el" href="OgreSharedPtr_8h_source.html#l00167">Ogre::SharedPtr&lt; D3D11GpuProgram &gt;::bind()</a>, <a class="el" href="OgreSharedPtr_8h_source.html#l00197">Ogre::SharedPtr&lt; D3D11GpuProgram &gt;::release()</a>, <a class="el" href="OgreSharedPtr_8h_source.html#l00176">Ogre::SharedPtr&lt; D3D11GpuProgram &gt;::unique()</a>, and <a class="el" href="OgreSharedPtr_8h_source.html#l00177">Ogre::SharedPtr&lt; D3D11GpuProgram &gt;::useCount()</a>.</p>

</div>
</div>
<a class="anchor" id="a062b6df8793a5440c06a9056ff1c8fe9"></a><!-- doxytag: member="OgreThreadDefinesNone.h::OGRE_LOCK_AUTO_SHARED_MUTEX" ref="a062b6df8793a5440c06a9056ff1c8fe9" args="" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">#define <a class="el" href="OgreThreadDefinesTBB_8h.html#a062b6df8793a5440c06a9056ff1c8fe9">OGRE_LOCK_AUTO_SHARED_MUTEX</a></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>Definition at line <a class="el" href="OgreThreadDefinesNone_8h_source.html#l00037">37</a> of file <a class="el" href="OgreThreadDefinesNone_8h_source.html">OgreThreadDefinesNone.h</a>.</p>

</div>
</div>
<a class="anchor" id="a8a4683cdaf73994ea7ec391c1ba82b60"></a><!-- doxytag: member="OgreThreadDefinesNone.h::OGRE_LOCK_MUTEX" ref="a8a4683cdaf73994ea7ec391c1ba82b60" args="(name)" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">#define <a class="el" href="OgreThreadDefinesTBB_8h.html#a8a4683cdaf73994ea7ec391c1ba82b60">OGRE_LOCK_MUTEX</a></td>
          <td>(</td>
          <td class="paramtype">&#160;</td>
          <td class="paramname">name</td><td>)</td>
          <td></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>Definition at line <a class="el" href="OgreThreadDefinesNone_8h_source.html#l00034">34</a> of file <a class="el" href="OgreThreadDefinesNone_8h_source.html">OgreThreadDefinesNone.h</a>.</p>

</div>
</div>
<a class="anchor" id="a8a4683cdaf73994ea7ec391c1ba82b60"></a><!-- doxytag: member="OgreThreadDefinesNone.h::OGRE_LOCK_MUTEX" ref="a8a4683cdaf73994ea7ec391c1ba82b60" args="(name)" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">#define <a class="el" href="OgreThreadDefinesTBB_8h.html#a8a4683cdaf73994ea7ec391c1ba82b60">OGRE_LOCK_MUTEX</a></td>
          <td>(</td>
          <td class="paramtype">&#160;</td>
          <td class="paramname">name</td><td>)</td>
          <td></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>Referenced by <a class="el" href="OgreCompositor_8h_source.html#l00188">Ogre::CompositorPtr::CompositorPtr()</a>, <a class="el" href="OgreStringInterface_8h_source.html#l00184">Ogre::StringInterface::createParamDictionary()</a>, <a class="el" href="OgreD3D11GpuProgram_8h_source.html#l00102">Ogre::D3D11GpuProgramPtr::D3D11GpuProgramPtr()</a>, <a class="el" href="OgreD3D11Texture_8h_source.html#l00187">Ogre::D3D11TexturePtr::D3D11TexturePtr()</a>, <a class="el" href="OgreD3D9GpuProgram_8h_source.html#l00179">Ogre::D3D9GpuProgramPtr::D3D9GpuProgramPtr()</a>, <a class="el" href="OgreD3D9Texture_8h_source.html#l00233">Ogre::D3D9TexturePtr::D3D9TexturePtr()</a>, <a class="el" href="OgreFont_8h_source.html#l00431">Ogre::FontPtr::FontPtr()</a>, <a class="el" href="OgreGLES2Texture_8h_source.html#l00114">Ogre::GLES2TexturePtr::GLES2TexturePtr()</a>, <a class="el" href="OgreGLESTexture_8h_source.html#l00114">Ogre::GLESTexturePtr::GLESTexturePtr()</a>, <a class="el" href="OgreGLTexture_8h_source.html#l00116">Ogre::GLTexturePtr::GLTexturePtr()</a>, <a class="el" href="OgreGpuProgram_8h_source.html#l00438">Ogre::GpuProgramPtr::GpuProgramPtr()</a>, <a class="el" href="OgreHighLevelGpuProgram_8h_source.html#l00145">Ogre::HighLevelGpuProgramPtr::HighLevelGpuProgramPtr()</a>, <a class="el" href="OgreMaterial_8h_source.html#l00693">Ogre::MaterialPtr::MaterialPtr()</a>, <a class="el" href="OgrePatchMesh_8h_source.html#l00112">Ogre::PatchMeshPtr::operator=()</a>, <a class="el" href="OgreD3D11GpuProgram_8h_source.html#l00116">Ogre::D3D11GpuProgramPtr::operator=()</a>, <a class="el" href="OgreGLESTexture_8h_source.html#l00136">Ogre::GLESTexturePtr::operator=()</a>, <a class="el" href="OgreGLES2Texture_8h_source.html#l00136">Ogre::GLES2TexturePtr::operator=()</a>, <a class="el" href="OgreGLTexture_8h_source.html#l00137">Ogre::GLTexturePtr::operator=()</a>, <a class="el" href="OgreHighLevelGpuProgram_8h_source.html#l00162">Ogre::HighLevelGpuProgramPtr::operator=()</a>, <a class="el" href="OgreD3D9GpuProgram_8h_source.html#l00193">Ogre::D3D9GpuProgramPtr::operator=()</a>, <a class="el" href="OgreD3D11Texture_8h_source.html#l00204">Ogre::D3D11TexturePtr::operator=()</a>, <a class="el" href="OgreCompositor_8h_source.html#l00205">Ogre::CompositorPtr::operator=()</a>, <a class="el" href="OgreD3D9Texture_8h_source.html#l00254">Ogre::D3D9TexturePtr::operator=()</a>, <a class="el" href="OgreFont_8h_source.html#l00448">Ogre::FontPtr::operator=()</a>, <a class="el" href="OgreGpuProgram_8h_source.html#l00455">Ogre::GpuProgramPtr::operator=()</a>, <a class="el" href="OgreTexture_8h_source.html#l00465">Ogre::TexturePtr::operator=()</a>, <a class="el" href="OgreSkeleton_8h_source.html#l00493">Ogre::SkeletonPtr::operator=()</a>, <a class="el" href="OgreMaterial_8h_source.html#l00710">Ogre::MaterialPtr::operator=()</a>, <a class="el" href="OgrePatchMesh_8h_source.html#l00095">Ogre::PatchMeshPtr::PatchMeshPtr()</a>, <a class="el" href="OgreSharedPtr_8h_source.html#l00093">Ogre::SharedPtr&lt; D3D11GpuProgram &gt;::SharedPtr()</a>, <a class="el" href="OgreSkeleton_8h_source.html#l00476">Ogre::SkeletonPtr::SkeletonPtr()</a>, and <a class="el" href="OgreTexture_8h_source.html#l00448">Ogre::TexturePtr::TexturePtr()</a>.</p>

</div>
</div>
<a class="anchor" id="a39e611f7baf80408d740fce6a2502414"></a><!-- doxytag: member="OgreThreadDefinesNone.h::OGRE_LOCK_MUTEX_NAMED" ref="a39e611f7baf80408d740fce6a2502414" args="(mutexName, lockName)" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">#define <a class="el" href="OgreThreadDefinesTBB_8h.html#a39e611f7baf80408d740fce6a2502414">OGRE_LOCK_MUTEX_NAMED</a></td>
          <td>(</td>
          <td class="paramtype">&#160;</td>
          <td class="paramname">mutexName, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">&#160;</td>
          <td class="paramname">lockName&#160;</td>
        </tr>
        <tr>
          <td></td>
          <td>)</td>
          <td></td><td></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>Definition at line <a class="el" href="OgreThreadDefinesNone_8h_source.html#l00035">35</a> of file <a class="el" href="OgreThreadDefinesNone_8h_source.html">OgreThreadDefinesNone.h</a>.</p>

</div>
</div>
<a class="anchor" id="a39e611f7baf80408d740fce6a2502414"></a><!-- doxytag: member="OgreThreadDefinesNone.h::OGRE_LOCK_MUTEX_NAMED" ref="a39e611f7baf80408d740fce6a2502414" args="(mutexName, lockName)" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">#define <a class="el" href="OgreThreadDefinesTBB_8h.html#a39e611f7baf80408d740fce6a2502414">OGRE_LOCK_MUTEX_NAMED</a></td>
          <td>(</td>
          <td class="paramtype">&#160;</td>
          <td class="paramname">mutexName, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">&#160;</td>
          <td class="paramname">lockName&#160;</td>
        </tr>
        <tr>
          <td></td>
          <td>)</td>
          <td></td><td></td>
        </tr>
      </table>
</div>
<div class="memdoc">

</div>
</div>
<a class="anchor" id="a94e5c080fee840c4ee87132157cc3eda"></a><!-- doxytag: member="OgreThreadDefinesNone.h::OGRE_LOCK_RW_MUTEX_READ" ref="a94e5c080fee840c4ee87132157cc3eda" args="(name)" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">#define <a class="el" href="OgreThreadDefinesTBB_8h.html#a94e5c080fee840c4ee87132157cc3eda">OGRE_LOCK_RW_MUTEX_READ</a></td>
          <td>(</td>
          <td class="paramtype">&#160;</td>
          <td class="paramname">name</td><td>)</td>
          <td></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>Referenced by <a class="el" href="OgreWorkQueue_8h_source.html#l00497">Ogre::DefaultWorkQueueBase::RequestHandlerHolder::handleRequest()</a>.</p>

</div>
</div>
<a class="anchor" id="a94e5c080fee840c4ee87132157cc3eda"></a><!-- doxytag: member="OgreThreadDefinesNone.h::OGRE_LOCK_RW_MUTEX_READ" ref="a94e5c080fee840c4ee87132157cc3eda" args="(name)" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">#define <a class="el" href="OgreThreadDefinesTBB_8h.html#a94e5c080fee840c4ee87132157cc3eda">OGRE_LOCK_RW_MUTEX_READ</a></td>
          <td>(</td>
          <td class="paramtype">&#160;</td>
          <td class="paramname">name</td><td>)</td>
          <td></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>Definition at line <a class="el" href="OgreThreadDefinesNone_8h_source.html#l00044">44</a> of file <a class="el" href="OgreThreadDefinesNone_8h_source.html">OgreThreadDefinesNone.h</a>.</p>

</div>
</div>
<a class="anchor" id="a0a38f532fc987f34e7ffa1d18b770fc9"></a><!-- doxytag: member="OgreThreadDefinesNone.h::OGRE_LOCK_RW_MUTEX_WRITE" ref="a0a38f532fc987f34e7ffa1d18b770fc9" args="(name)" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">#define <a class="el" href="OgreThreadDefinesTBB_8h.html#a0a38f532fc987f34e7ffa1d18b770fc9">OGRE_LOCK_RW_MUTEX_WRITE</a></td>
          <td>(</td>
          <td class="paramtype">&#160;</td>
          <td class="paramname">name</td><td>)</td>
          <td></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>Referenced by <a class="el" href="OgreWorkQueue_8h_source.html#l00482">Ogre::DefaultWorkQueueBase::RequestHandlerHolder::disconnectHandler()</a>.</p>

</div>
</div>
<a class="anchor" id="a0a38f532fc987f34e7ffa1d18b770fc9"></a><!-- doxytag: member="OgreThreadDefinesNone.h::OGRE_LOCK_RW_MUTEX_WRITE" ref="a0a38f532fc987f34e7ffa1d18b770fc9" args="(name)" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">#define <a class="el" href="OgreThreadDefinesTBB_8h.html#a0a38f532fc987f34e7ffa1d18b770fc9">OGRE_LOCK_RW_MUTEX_WRITE</a></td>
          <td>(</td>
          <td class="paramtype">&#160;</td>
          <td class="paramname">name</td><td>)</td>
          <td></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>Definition at line <a class="el" href="OgreThreadDefinesNone_8h_source.html#l00045">45</a> of file <a class="el" href="OgreThreadDefinesNone_8h_source.html">OgreThreadDefinesNone.h</a>.</p>

</div>
</div>
<a class="anchor" id="a2fb96ea8ad9700f804480d1d7f5d692d"></a><!-- doxytag: member="OgreThreadDefinesNone.h::OGRE_MUTEX" ref="a2fb96ea8ad9700f804480d1d7f5d692d" args="(name)" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">#define <a class="el" href="OgreThreadDefinesTBB_8h.html#a2fb96ea8ad9700f804480d1d7f5d692d">OGRE_MUTEX</a></td>
          <td>(</td>
          <td class="paramtype">&#160;</td>
          <td class="paramname">name</td><td>)</td>
          <td></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>Definition at line <a class="el" href="OgreThreadDefinesNone_8h_source.html#l00031">31</a> of file <a class="el" href="OgreThreadDefinesNone_8h_source.html">OgreThreadDefinesNone.h</a>.</p>

</div>
</div>
<a class="anchor" id="a2fb96ea8ad9700f804480d1d7f5d692d"></a><!-- doxytag: member="OgreThreadDefinesNone.h::OGRE_MUTEX" ref="a2fb96ea8ad9700f804480d1d7f5d692d" args="(name)" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">#define <a class="el" href="OgreThreadDefinesTBB_8h.html#a2fb96ea8ad9700f804480d1d7f5d692d">OGRE_MUTEX</a></td>
          <td>(</td>
          <td class="paramtype">&#160;</td>
          <td class="paramname">name</td><td>)</td>
          <td></td>
        </tr>
      </table>
</div>
<div class="memdoc">

</div>
</div>
<a class="anchor" id="a2201eef4cf31a94b24d79de6de3445af"></a><!-- doxytag: member="OgreThreadDefinesNone.h::OGRE_MUTEX_CONDITIONAL" ref="a2201eef4cf31a94b24d79de6de3445af" args="(name)" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">#define <a class="el" href="OgreThreadDefinesTBB_8h.html#a615a8a037a8f3290ec86ec0e376042b7">OGRE_MUTEX_CONDITIONAL</a></td>
          <td>(</td>
          <td class="paramtype">&#160;</td>
          <td class="paramname">name</td><td>)</td>
          <td>&#160;&#160;&#160;if(true)</td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>Definition at line <a class="el" href="OgreThreadDefinesNone_8h_source.html#l00042">42</a> of file <a class="el" href="OgreThreadDefinesNone_8h_source.html">OgreThreadDefinesNone.h</a>.</p>

</div>
</div>
<a class="anchor" id="a2201eef4cf31a94b24d79de6de3445af"></a><!-- doxytag: member="OgreThreadDefinesNone.h::OGRE_MUTEX_CONDITIONAL" ref="a2201eef4cf31a94b24d79de6de3445af" args="(name)" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">#define <a class="el" href="OgreThreadDefinesTBB_8h.html#a615a8a037a8f3290ec86ec0e376042b7">OGRE_MUTEX_CONDITIONAL</a></td>
          <td>(</td>
          <td class="paramtype">&#160;</td>
          <td class="paramname">name</td><td>)</td>
          <td>&#160;&#160;&#160;if(true)</td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>Referenced by <a class="el" href="OgreCompositor_8h_source.html#l00188">Ogre::CompositorPtr::CompositorPtr()</a>, <a class="el" href="OgreD3D11Texture_8h_source.html#l00187">Ogre::D3D11TexturePtr::D3D11TexturePtr()</a>, <a class="el" href="OgreD3D9Texture_8h_source.html#l00233">Ogre::D3D9TexturePtr::D3D9TexturePtr()</a>, <a class="el" href="OgreFont_8h_source.html#l00431">Ogre::FontPtr::FontPtr()</a>, <a class="el" href="OgreGLES2Texture_8h_source.html#l00114">Ogre::GLES2TexturePtr::GLES2TexturePtr()</a>, <a class="el" href="OgreGLESTexture_8h_source.html#l00114">Ogre::GLESTexturePtr::GLESTexturePtr()</a>, <a class="el" href="OgreGLTexture_8h_source.html#l00116">Ogre::GLTexturePtr::GLTexturePtr()</a>, <a class="el" href="OgreGpuProgram_8h_source.html#l00438">Ogre::GpuProgramPtr::GpuProgramPtr()</a>, <a class="el" href="OgreHighLevelGpuProgram_8h_source.html#l00145">Ogre::HighLevelGpuProgramPtr::HighLevelGpuProgramPtr()</a>, <a class="el" href="OgreMaterial_8h_source.html#l00693">Ogre::MaterialPtr::MaterialPtr()</a>, <a class="el" href="OgrePatchMesh_8h_source.html#l00112">Ogre::PatchMeshPtr::operator=()</a>, <a class="el" href="OgreGLES2Texture_8h_source.html#l00136">Ogre::GLES2TexturePtr::operator=()</a>, <a class="el" href="OgreGLESTexture_8h_source.html#l00136">Ogre::GLESTexturePtr::operator=()</a>, <a class="el" href="OgreGLTexture_8h_source.html#l00137">Ogre::GLTexturePtr::operator=()</a>, <a class="el" href="OgreHighLevelGpuProgram_8h_source.html#l00162">Ogre::HighLevelGpuProgramPtr::operator=()</a>, <a class="el" href="OgreD3D11Texture_8h_source.html#l00204">Ogre::D3D11TexturePtr::operator=()</a>, <a class="el" href="OgreCompositor_8h_source.html#l00205">Ogre::CompositorPtr::operator=()</a>, <a class="el" href="OgreD3D9Texture_8h_source.html#l00254">Ogre::D3D9TexturePtr::operator=()</a>, <a class="el" href="OgreFont_8h_source.html#l00448">Ogre::FontPtr::operator=()</a>, <a class="el" href="OgreGpuProgram_8h_source.html#l00455">Ogre::GpuProgramPtr::operator=()</a>, <a class="el" href="OgreTexture_8h_source.html#l00465">Ogre::TexturePtr::operator=()</a>, <a class="el" href="OgreSkeleton_8h_source.html#l00493">Ogre::SkeletonPtr::operator=()</a>, <a class="el" href="OgreMaterial_8h_source.html#l00710">Ogre::MaterialPtr::operator=()</a>, <a class="el" href="OgrePatchMesh_8h_source.html#l00095">Ogre::PatchMeshPtr::PatchMeshPtr()</a>, <a class="el" href="OgreSharedPtr_8h_source.html#l00197">Ogre::SharedPtr&lt; D3D11GpuProgram &gt;::release()</a>, <a class="el" href="OgreSharedPtr_8h_source.html#l00093">Ogre::SharedPtr&lt; D3D11GpuProgram &gt;::SharedPtr()</a>, <a class="el" href="OgreSkeleton_8h_source.html#l00476">Ogre::SkeletonPtr::SkeletonPtr()</a>, and <a class="el" href="OgreTexture_8h_source.html#l00448">Ogre::TexturePtr::TexturePtr()</a>.</p>

</div>
</div>
<a class="anchor" id="a9ea1b6f845efd15c581b914ac84b93a3"></a><!-- doxytag: member="OgreThreadDefinesNone.h::OGRE_NEW_AUTO_SHARED_MUTEX" ref="a9ea1b6f845efd15c581b914ac84b93a3" args="" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">#define <a class="el" href="OgreThreadDefinesTBB_8h.html#a9ea1b6f845efd15c581b914ac84b93a3">OGRE_NEW_AUTO_SHARED_MUTEX</a></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>Definition at line <a class="el" href="OgreThreadDefinesNone_8h_source.html#l00038">38</a> of file <a class="el" href="OgreThreadDefinesNone_8h_source.html">OgreThreadDefinesNone.h</a>.</p>

</div>
</div>
<a class="anchor" id="a9ea1b6f845efd15c581b914ac84b93a3"></a><!-- doxytag: member="OgreThreadDefinesNone.h::OGRE_NEW_AUTO_SHARED_MUTEX" ref="a9ea1b6f845efd15c581b914ac84b93a3" args="" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">#define <a class="el" href="OgreThreadDefinesTBB_8h.html#a9ea1b6f845efd15c581b914ac84b93a3">OGRE_NEW_AUTO_SHARED_MUTEX</a></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>Referenced by <a class="el" href="OgreSharedPtr_8h_source.html#l00167">Ogre::SharedPtr&lt; D3D11GpuProgram &gt;::bind()</a>, and <a class="el" href="OgreSharedPtr_8h_source.html#l00082">Ogre::SharedPtr&lt; D3D11GpuProgram &gt;::SharedPtr()</a>.</p>

</div>
</div>
<a class="anchor" id="afd886be58b0d9b415076b07abfcc50fc"></a><!-- doxytag: member="OgreThreadDefinesNone.h::OGRE_RW_MUTEX" ref="afd886be58b0d9b415076b07abfcc50fc" args="(name)" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">#define <a class="el" href="OgreThreadDefinesTBB_8h.html#afd886be58b0d9b415076b07abfcc50fc">OGRE_RW_MUTEX</a></td>
          <td>(</td>
          <td class="paramtype">&#160;</td>
          <td class="paramname">name</td><td>)</td>
          <td></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>Definition at line <a class="el" href="OgreThreadDefinesNone_8h_source.html#l00043">43</a> of file <a class="el" href="OgreThreadDefinesNone_8h_source.html">OgreThreadDefinesNone.h</a>.</p>

</div>
</div>
<a class="anchor" id="afd886be58b0d9b415076b07abfcc50fc"></a><!-- doxytag: member="OgreThreadDefinesNone.h::OGRE_RW_MUTEX" ref="afd886be58b0d9b415076b07abfcc50fc" args="(name)" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">#define <a class="el" href="OgreThreadDefinesTBB_8h.html#afd886be58b0d9b415076b07abfcc50fc">OGRE_RW_MUTEX</a></td>
          <td>(</td>
          <td class="paramtype">&#160;</td>
          <td class="paramname">name</td><td>)</td>
          <td></td>
        </tr>
      </table>
</div>
<div class="memdoc">

</div>
</div>
<a class="anchor" id="a053475f75a35e320fa019cf083ba8918"></a><!-- doxytag: member="OgreThreadDefinesNone.h::OGRE_SET_AUTO_SHARED_MUTEX_NULL" ref="a053475f75a35e320fa019cf083ba8918" args="" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">#define <a class="el" href="OgreThreadDefinesTBB_8h.html#a053475f75a35e320fa019cf083ba8918">OGRE_SET_AUTO_SHARED_MUTEX_NULL</a></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>Definition at line <a class="el" href="OgreThreadDefinesNone_8h_source.html#l00041">41</a> of file <a class="el" href="OgreThreadDefinesNone_8h_source.html">OgreThreadDefinesNone.h</a>.</p>

</div>
</div>
<a class="anchor" id="a053475f75a35e320fa019cf083ba8918"></a><!-- doxytag: member="OgreThreadDefinesNone.h::OGRE_SET_AUTO_SHARED_MUTEX_NULL" ref="a053475f75a35e320fa019cf083ba8918" args="" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">#define <a class="el" href="OgreThreadDefinesTBB_8h.html#a053475f75a35e320fa019cf083ba8918">OGRE_SET_AUTO_SHARED_MUTEX_NULL</a></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>Referenced by <a class="el" href="OgreSharedPtr_8h_source.html#l00197">Ogre::SharedPtr&lt; D3D11GpuProgram &gt;::release()</a>, and <a class="el" href="OgreSharedPtr_8h_source.html#l00072">Ogre::SharedPtr&lt; D3D11GpuProgram &gt;::SharedPtr()</a>.</p>

</div>
</div>
<a class="anchor" id="ac853de57688aefaec88f75cd9e0ac388"></a><!-- doxytag: member="OgreThreadDefinesNone.h::OGRE_STATIC_MUTEX" ref="ac853de57688aefaec88f75cd9e0ac388" args="(name)" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">#define <a class="el" href="OgreThreadDefinesTBB_8h.html#ac853de57688aefaec88f75cd9e0ac388">OGRE_STATIC_MUTEX</a></td>
          <td>(</td>
          <td class="paramtype">&#160;</td>
          <td class="paramname">name</td><td>)</td>
          <td></td>
        </tr>
      </table>
</div>
<div class="memdoc">

</div>
</div>
<a class="anchor" id="ac853de57688aefaec88f75cd9e0ac388"></a><!-- doxytag: member="OgreThreadDefinesNone.h::OGRE_STATIC_MUTEX" ref="ac853de57688aefaec88f75cd9e0ac388" args="(name)" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">#define <a class="el" href="OgreThreadDefinesTBB_8h.html#ac853de57688aefaec88f75cd9e0ac388">OGRE_STATIC_MUTEX</a></td>
          <td>(</td>
          <td class="paramtype">&#160;</td>
          <td class="paramname">name</td><td>)</td>
          <td></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>Definition at line <a class="el" href="OgreThreadDefinesNone_8h_source.html#l00032">32</a> of file <a class="el" href="OgreThreadDefinesNone_8h_source.html">OgreThreadDefinesNone.h</a>.</p>

</div>
</div>
<a class="anchor" id="a042f108091bba675307acb915a71bfa9"></a><!-- doxytag: member="OgreThreadDefinesNone.h::OGRE_STATIC_MUTEX_INSTANCE" ref="a042f108091bba675307acb915a71bfa9" args="(name)" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">#define <a class="el" href="OgreThreadDefinesTBB_8h.html#a042f108091bba675307acb915a71bfa9">OGRE_STATIC_MUTEX_INSTANCE</a></td>
          <td>(</td>
          <td class="paramtype">&#160;</td>
          <td class="paramname">name</td><td>)</td>
          <td></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>Definition at line <a class="el" href="OgreThreadDefinesNone_8h_source.html#l00033">33</a> of file <a class="el" href="OgreThreadDefinesNone_8h_source.html">OgreThreadDefinesNone.h</a>.</p>

</div>
</div>
<a class="anchor" id="a042f108091bba675307acb915a71bfa9"></a><!-- doxytag: member="OgreThreadDefinesNone.h::OGRE_STATIC_MUTEX_INSTANCE" ref="a042f108091bba675307acb915a71bfa9" args="(name)" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">#define <a class="el" href="OgreThreadDefinesTBB_8h.html#a042f108091bba675307acb915a71bfa9">OGRE_STATIC_MUTEX_INSTANCE</a></td>
          <td>(</td>
          <td class="paramtype">&#160;</td>
          <td class="paramname">name</td><td>)</td>
          <td></td>
        </tr>
      </table>
</div>
<div class="memdoc">

</div>
</div>
<a class="anchor" id="a15a4eee729a2c973782b3d65262b6c33"></a><!-- doxytag: member="OgreThreadDefinesNone.h::OGRE_THREAD_NOTIFY_ALL" ref="a15a4eee729a2c973782b3d65262b6c33" args="(sync)" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">#define <a class="el" href="OgreThreadDefinesPoco_8h.html#a15a4eee729a2c973782b3d65262b6c33">OGRE_THREAD_NOTIFY_ALL</a></td>
          <td>(</td>
          <td class="paramtype">&#160;</td>
          <td class="paramname">sync</td><td>)</td>
          <td></td>
        </tr>
      </table>
</div>
<div class="memdoc">

</div>
</div>
<a class="anchor" id="a15a4eee729a2c973782b3d65262b6c33"></a><!-- doxytag: member="OgreThreadDefinesNone.h::OGRE_THREAD_NOTIFY_ALL" ref="a15a4eee729a2c973782b3d65262b6c33" args="(sync)" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">#define <a class="el" href="OgreThreadDefinesPoco_8h.html#a15a4eee729a2c973782b3d65262b6c33">OGRE_THREAD_NOTIFY_ALL</a></td>
          <td>(</td>
          <td class="paramtype">&#160;</td>
          <td class="paramname">sync</td><td>)</td>
          <td></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>Definition at line <a class="el" href="OgreThreadDefinesNone_8h_source.html#l00049">49</a> of file <a class="el" href="OgreThreadDefinesNone_8h_source.html">OgreThreadDefinesNone.h</a>.</p>

</div>
</div>
<a class="anchor" id="af95a22a8a787bbf4956772d36a0ccab5"></a><!-- doxytag: member="OgreThreadDefinesNone.h::OGRE_THREAD_NOTIFY_ONE" ref="af95a22a8a787bbf4956772d36a0ccab5" args="(sync)" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">#define <a class="el" href="OgreThreadDefinesPoco_8h.html#af95a22a8a787bbf4956772d36a0ccab5">OGRE_THREAD_NOTIFY_ONE</a></td>
          <td>(</td>
          <td class="paramtype">&#160;</td>
          <td class="paramname">sync</td><td>)</td>
          <td></td>
        </tr>
      </table>
</div>
<div class="memdoc">

</div>
</div>
<a class="anchor" id="af95a22a8a787bbf4956772d36a0ccab5"></a><!-- doxytag: member="OgreThreadDefinesNone.h::OGRE_THREAD_NOTIFY_ONE" ref="af95a22a8a787bbf4956772d36a0ccab5" args="(sync)" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">#define <a class="el" href="OgreThreadDefinesPoco_8h.html#af95a22a8a787bbf4956772d36a0ccab5">OGRE_THREAD_NOTIFY_ONE</a></td>
          <td>(</td>
          <td class="paramtype">&#160;</td>
          <td class="paramname">sync</td><td>)</td>
          <td></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>Definition at line <a class="el" href="OgreThreadDefinesNone_8h_source.html#l00048">48</a> of file <a class="el" href="OgreThreadDefinesNone_8h_source.html">OgreThreadDefinesNone.h</a>.</p>

</div>
</div>
<a class="anchor" id="a7bbad1426a73ac69e63279b16e0f8ac4"></a><!-- doxytag: member="OgreThreadDefinesNone.h::OGRE_THREAD_POINTER" ref="a7bbad1426a73ac69e63279b16e0f8ac4" args="(T, var)" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">#define <a class="el" href="OgreThreadDefinesTBB_8h.html#a7bbad1426a73ac69e63279b16e0f8ac4">OGRE_THREAD_POINTER</a></td>
          <td>(</td>
          <td class="paramtype">&#160;</td>
          <td class="paramname">T, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">&#160;</td>
          <td class="paramname">var&#160;</td>
        </tr>
        <tr>
          <td></td>
          <td>)</td>
          <td></td><td>&#160;&#160;&#160;T* var</td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>Definition at line <a class="el" href="OgreThreadDefinesNone_8h_source.html#l00050">50</a> of file <a class="el" href="OgreThreadDefinesNone_8h_source.html">OgreThreadDefinesNone.h</a>.</p>

</div>
</div>
<a class="anchor" id="a7bbad1426a73ac69e63279b16e0f8ac4"></a><!-- doxytag: member="OgreThreadDefinesNone.h::OGRE_THREAD_POINTER" ref="a7bbad1426a73ac69e63279b16e0f8ac4" args="(T, var)" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">#define <a class="el" href="OgreThreadDefinesTBB_8h.html#a7bbad1426a73ac69e63279b16e0f8ac4">OGRE_THREAD_POINTER</a></td>
          <td>(</td>
          <td class="paramtype">&#160;</td>
          <td class="paramname">T, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">&#160;</td>
          <td class="paramname">var&#160;</td>
        </tr>
        <tr>
          <td></td>
          <td>)</td>
          <td></td><td>&#160;&#160;&#160;T* var</td>
        </tr>
      </table>
</div>
<div class="memdoc">

</div>
</div>
<a class="anchor" id="a9501d2980e624057c7701c0b3b539c3c"></a><!-- doxytag: member="OgreThreadDefinesNone.h::OGRE_THREAD_POINTER_DELETE" ref="a9501d2980e624057c7701c0b3b539c3c" args="(var)" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">#define <a class="el" href="OgreThreadDefinesTBB_8h.html#a9501d2980e624057c7701c0b3b539c3c">OGRE_THREAD_POINTER_DELETE</a></td>
          <td>(</td>
          <td class="paramtype">&#160;</td>
          <td class="paramname">var</td><td>)</td>
          <td>&#160;&#160;&#160;{ <a class="el" href="group__Memory.html#gad18eff671a00617b21c8e35a7f545690">OGRE_DELETE</a> var; var = 0; }</td>
        </tr>
      </table>
</div>
<div class="memdoc">

</div>
</div>
<a class="anchor" id="a9501d2980e624057c7701c0b3b539c3c"></a><!-- doxytag: member="OgreThreadDefinesNone.h::OGRE_THREAD_POINTER_DELETE" ref="a9501d2980e624057c7701c0b3b539c3c" args="(var)" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">#define <a class="el" href="OgreThreadDefinesTBB_8h.html#a9501d2980e624057c7701c0b3b539c3c">OGRE_THREAD_POINTER_DELETE</a></td>
          <td>(</td>
          <td class="paramtype">&#160;</td>
          <td class="paramname">var</td><td>)</td>
          <td>&#160;&#160;&#160;{ <a class="el" href="group__Memory.html#gad18eff671a00617b21c8e35a7f545690">OGRE_DELETE</a> var; var = 0; }</td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>Definition at line <a class="el" href="OgreThreadDefinesNone_8h_source.html#l00055">55</a> of file <a class="el" href="OgreThreadDefinesNone_8h_source.html">OgreThreadDefinesNone.h</a>.</p>

</div>
</div>
<a class="anchor" id="a5a4c5f6a9667046f955529291276f3dd"></a><!-- doxytag: member="OgreThreadDefinesNone.h::OGRE_THREAD_POINTER_GET" ref="a5a4c5f6a9667046f955529291276f3dd" args="(var)" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">#define <a class="el" href="OgreThreadDefinesTBB_8h.html#a5a4c5f6a9667046f955529291276f3dd">OGRE_THREAD_POINTER_GET</a></td>
          <td>(</td>
          <td class="paramtype">&#160;</td>
          <td class="paramname">var</td><td>)</td>
          <td>&#160;&#160;&#160;var</td>
        </tr>
      </table>
</div>
<div class="memdoc">

</div>
</div>
<a class="anchor" id="a5a4c5f6a9667046f955529291276f3dd"></a><!-- doxytag: member="OgreThreadDefinesNone.h::OGRE_THREAD_POINTER_GET" ref="a5a4c5f6a9667046f955529291276f3dd" args="(var)" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">#define <a class="el" href="OgreThreadDefinesTBB_8h.html#a5a4c5f6a9667046f955529291276f3dd">OGRE_THREAD_POINTER_GET</a></td>
          <td>(</td>
          <td class="paramtype">&#160;</td>
          <td class="paramname">var</td><td>)</td>
          <td>&#160;&#160;&#160;var</td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>Definition at line <a class="el" href="OgreThreadDefinesNone_8h_source.html#l00054">54</a> of file <a class="el" href="OgreThreadDefinesNone_8h_source.html">OgreThreadDefinesNone.h</a>.</p>

</div>
</div>
<a class="anchor" id="a7240ca4fa090f8e947dfa29be6580870"></a><!-- doxytag: member="OgreThreadDefinesNone.h::OGRE_THREAD_POINTER_INIT" ref="a7240ca4fa090f8e947dfa29be6580870" args="(var)" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">#define <a class="el" href="OgreThreadDefinesTBB_8h.html#a7240ca4fa090f8e947dfa29be6580870">OGRE_THREAD_POINTER_INIT</a></td>
          <td>(</td>
          <td class="paramtype">&#160;</td>
          <td class="paramname">var</td><td>)</td>
          <td>&#160;&#160;&#160;var(0)</td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>Definition at line <a class="el" href="OgreThreadDefinesNone_8h_source.html#l00051">51</a> of file <a class="el" href="OgreThreadDefinesNone_8h_source.html">OgreThreadDefinesNone.h</a>.</p>

</div>
</div>
<a class="anchor" id="a7240ca4fa090f8e947dfa29be6580870"></a><!-- doxytag: member="OgreThreadDefinesNone.h::OGRE_THREAD_POINTER_INIT" ref="a7240ca4fa090f8e947dfa29be6580870" args="(var)" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">#define <a class="el" href="OgreThreadDefinesTBB_8h.html#a7240ca4fa090f8e947dfa29be6580870">OGRE_THREAD_POINTER_INIT</a></td>
          <td>(</td>
          <td class="paramtype">&#160;</td>
          <td class="paramname">var</td><td>)</td>
          <td>&#160;&#160;&#160;var(0)</td>
        </tr>
      </table>
</div>
<div class="memdoc">

</div>
</div>
<a class="anchor" id="ab2cf92160e83b716119c42240aad670f"></a><!-- doxytag: member="OgreThreadDefinesNone.h::OGRE_THREAD_POINTER_SET" ref="ab2cf92160e83b716119c42240aad670f" args="(var, expr)" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">#define <a class="el" href="OgreThreadDefinesTBB_8h.html#ab2cf92160e83b716119c42240aad670f">OGRE_THREAD_POINTER_SET</a></td>
          <td>(</td>
          <td class="paramtype">&#160;</td>
          <td class="paramname">var, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">&#160;</td>
          <td class="paramname">expr&#160;</td>
        </tr>
        <tr>
          <td></td>
          <td>)</td>
          <td></td><td>&#160;&#160;&#160;var = expr</td>
        </tr>
      </table>
</div>
<div class="memdoc">

</div>
</div>
<a class="anchor" id="ab2cf92160e83b716119c42240aad670f"></a><!-- doxytag: member="OgreThreadDefinesNone.h::OGRE_THREAD_POINTER_SET" ref="ab2cf92160e83b716119c42240aad670f" args="(var, expr)" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">#define <a class="el" href="OgreThreadDefinesTBB_8h.html#ab2cf92160e83b716119c42240aad670f">OGRE_THREAD_POINTER_SET</a></td>
          <td>(</td>
          <td class="paramtype">&#160;</td>
          <td class="paramname">var, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">&#160;</td>
          <td class="paramname">expr&#160;</td>
        </tr>
        <tr>
          <td></td>
          <td>)</td>
          <td></td><td>&#160;&#160;&#160;var = expr</td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>Definition at line <a class="el" href="OgreThreadDefinesNone_8h_source.html#l00053">53</a> of file <a class="el" href="OgreThreadDefinesNone_8h_source.html">OgreThreadDefinesNone.h</a>.</p>

</div>
</div>
<a class="anchor" id="aa0e31221f53cca1da4a1eaf196122a59"></a><!-- doxytag: member="OgreThreadDefinesNone.h::OGRE_THREAD_POINTER_VAR" ref="aa0e31221f53cca1da4a1eaf196122a59" args="(T, var)" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">#define <a class="el" href="OgreThreadDefinesTBB_8h.html#aa0e31221f53cca1da4a1eaf196122a59">OGRE_THREAD_POINTER_VAR</a></td>
          <td>(</td>
          <td class="paramtype">&#160;</td>
          <td class="paramname">T, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">&#160;</td>
          <td class="paramname">var&#160;</td>
        </tr>
        <tr>
          <td></td>
          <td>)</td>
          <td></td><td>&#160;&#160;&#160;T* var = 0</td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>Definition at line <a class="el" href="OgreThreadDefinesNone_8h_source.html#l00052">52</a> of file <a class="el" href="OgreThreadDefinesNone_8h_source.html">OgreThreadDefinesNone.h</a>.</p>

</div>
</div>
<a class="anchor" id="aa0e31221f53cca1da4a1eaf196122a59"></a><!-- doxytag: member="OgreThreadDefinesNone.h::OGRE_THREAD_POINTER_VAR" ref="aa0e31221f53cca1da4a1eaf196122a59" args="(T, var)" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">#define <a class="el" href="OgreThreadDefinesTBB_8h.html#aa0e31221f53cca1da4a1eaf196122a59">OGRE_THREAD_POINTER_VAR</a></td>
          <td>(</td>
          <td class="paramtype">&#160;</td>
          <td class="paramname">T, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">&#160;</td>
          <td class="paramname">var&#160;</td>
        </tr>
        <tr>
          <td></td>
          <td>)</td>
          <td></td><td>&#160;&#160;&#160;T* var = 0</td>
        </tr>
      </table>
</div>
<div class="memdoc">

</div>
</div>
<a class="anchor" id="acb589a5397e0187e83e7337eb59e9881"></a><!-- doxytag: member="OgreThreadDefinesNone.h::OGRE_THREAD_SLEEP" ref="acb589a5397e0187e83e7337eb59e9881" args="(ms)" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">#define <a class="el" href="OgreThreadDefinesTBB_8h.html#acb589a5397e0187e83e7337eb59e9881">OGRE_THREAD_SLEEP</a></td>
          <td>(</td>
          <td class="paramtype">&#160;</td>
          <td class="paramname">ms</td><td>)</td>
          <td></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>Definition at line <a class="el" href="OgreThreadDefinesNone_8h_source.html#l00056">56</a> of file <a class="el" href="OgreThreadDefinesNone_8h_source.html">OgreThreadDefinesNone.h</a>.</p>

</div>
</div>
<a class="anchor" id="acb589a5397e0187e83e7337eb59e9881"></a><!-- doxytag: member="OgreThreadDefinesNone.h::OGRE_THREAD_SLEEP" ref="acb589a5397e0187e83e7337eb59e9881" args="(ms)" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">#define <a class="el" href="OgreThreadDefinesTBB_8h.html#acb589a5397e0187e83e7337eb59e9881">OGRE_THREAD_SLEEP</a></td>
          <td>(</td>
          <td class="paramtype">&#160;</td>
          <td class="paramname">ms</td><td>)</td>
          <td></td>
        </tr>
      </table>
</div>
<div class="memdoc">

</div>
</div>
<a class="anchor" id="a792b8674a3579bf049e399dbfecf9f8b"></a><!-- doxytag: member="OgreThreadDefinesNone.h::OGRE_THREAD_SYNCHRONISER" ref="a792b8674a3579bf049e399dbfecf9f8b" args="(sync)" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">#define <a class="el" href="OgreThreadDefinesPoco_8h.html#a792b8674a3579bf049e399dbfecf9f8b">OGRE_THREAD_SYNCHRONISER</a></td>
          <td>(</td>
          <td class="paramtype">&#160;</td>
          <td class="paramname">sync</td><td>)</td>
          <td></td>
        </tr>
      </table>
</div>
<div class="memdoc">

</div>
</div>
<a class="anchor" id="a792b8674a3579bf049e399dbfecf9f8b"></a><!-- doxytag: member="OgreThreadDefinesNone.h::OGRE_THREAD_SYNCHRONISER" ref="a792b8674a3579bf049e399dbfecf9f8b" args="(sync)" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">#define <a class="el" href="OgreThreadDefinesPoco_8h.html#a792b8674a3579bf049e399dbfecf9f8b">OGRE_THREAD_SYNCHRONISER</a></td>
          <td>(</td>
          <td class="paramtype">&#160;</td>
          <td class="paramname">sync</td><td>)</td>
          <td></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>Definition at line <a class="el" href="OgreThreadDefinesNone_8h_source.html#l00046">46</a> of file <a class="el" href="OgreThreadDefinesNone_8h_source.html">OgreThreadDefinesNone.h</a>.</p>

</div>
</div>
<a class="anchor" id="ad5c607c0bb02c1a7c9f124768eade0bf"></a><!-- doxytag: member="OgreThreadDefinesNone.h::OGRE_THREAD_WAIT" ref="ad5c607c0bb02c1a7c9f124768eade0bf" args="(sync, lock)" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">#define <a class="el" href="OgreThreadDefinesPoco_8h.html#a2a5197ca265b2bfc25a5d0aa570d1f31">OGRE_THREAD_WAIT</a></td>
          <td>(</td>
          <td class="paramtype">&#160;</td>
          <td class="paramname">sync, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">&#160;</td>
          <td class="paramname">lock&#160;</td>
        </tr>
        <tr>
          <td></td>
          <td>)</td>
          <td></td><td></td>
        </tr>
      </table>
</div>
<div class="memdoc">

</div>
</div>
<a class="anchor" id="ad5c607c0bb02c1a7c9f124768eade0bf"></a><!-- doxytag: member="OgreThreadDefinesNone.h::OGRE_THREAD_WAIT" ref="ad5c607c0bb02c1a7c9f124768eade0bf" args="(sync, lock)" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">#define <a class="el" href="OgreThreadDefinesPoco_8h.html#a2a5197ca265b2bfc25a5d0aa570d1f31">OGRE_THREAD_WAIT</a></td>
          <td>(</td>
          <td class="paramtype">&#160;</td>
          <td class="paramname">sync, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">&#160;</td>
          <td class="paramname">lock&#160;</td>
        </tr>
        <tr>
          <td></td>
          <td>)</td>
          <td></td><td></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>Definition at line <a class="el" href="OgreThreadDefinesNone_8h_source.html#l00047">47</a> of file <a class="el" href="OgreThreadDefinesNone_8h_source.html">OgreThreadDefinesNone.h</a>.</p>

</div>
</div>
<a class="anchor" id="aa930d7a43e02d7c703548852a55036e1"></a><!-- doxytag: member="OgreThreadDefinesNone.h::OGRE_THREAD_WORKER_INHERIT" ref="aa930d7a43e02d7c703548852a55036e1" args="" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">#define <a class="el" href="OgreThreadDefinesTBB_8h.html#aa930d7a43e02d7c703548852a55036e1">OGRE_THREAD_WORKER_INHERIT</a></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>Definition at line <a class="el" href="OgreThreadDefinesNone_8h_source.html#l00057">57</a> of file <a class="el" href="OgreThreadDefinesNone_8h_source.html">OgreThreadDefinesNone.h</a>.</p>

</div>
</div>
<a class="anchor" id="aa930d7a43e02d7c703548852a55036e1"></a><!-- doxytag: member="OgreThreadDefinesNone.h::OGRE_THREAD_WORKER_INHERIT" ref="aa930d7a43e02d7c703548852a55036e1" args="" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">#define <a class="el" href="OgreThreadDefinesTBB_8h.html#aa930d7a43e02d7c703548852a55036e1">OGRE_THREAD_WORKER_INHERIT</a></td>
        </tr>
      </table>
</div>
<div class="memdoc">

</div>
</div>
</div><!-- contents -->
<hr>
<p>
Copyright &copy; 2012 Torus Knot Software Ltd<br />
<!--Creative Commons License--><a rel="license" href="http://creativecommons.org/licenses/by-sa/3.0/"><img alt="Creative Commons License" style="border-width:0" src="http://i.creativecommons.org/l/by-sa/3.0/88x31.png" /></a><br />This work is licensed under a <a rel="license" href="http://creativecommons.org/licenses/by-sa/3.0/">Creative Commons Attribution-ShareAlike 3.0 Unported License</a>.<br/>
		<!--/Creative Commons License--><!-- <rdf:RDF xmlns="http://web.resource.org/cc/" xmlns:dc="http://purl.org/dc/elements/1.1/" xmlns:rdf="http://www.w3.org/1999/02/22-rdf-syntax-ns#">
		<Work rdf:about="">
			<license rdf:resource="http://creativecommons.org/licenses/by-sa/2.5/" />
	<dc:type rdf:resource="http://purl.org/dc/dcmitype/Text" />
		</Work>
		<License rdf:about="http://creativecommons.org/licenses/by-sa/2.5/"><permits rdf:resource="http://web.resource.org/cc/Reproduction"/><permits rdf:resource="http://web.resource.org/cc/Distribution"/><requires rdf:resource="http://web.resource.org/cc/Notice"/><requires rdf:resource="http://web.resource.org/cc/Attribution"/><permits rdf:resource="http://web.resource.org/cc/DerivativeWorks"/><requires rdf:resource="http://web.resource.org/cc/ShareAlike"/></License></rdf:RDF> -->

Last modified Fri May 25 2012 21:48:53
</p>
</body>
</html>
